'use strict';

var _alignText = require('./align-text.js');

var _alignText2 = _interopRequireDefault(_alignText);

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('alignText', function () {
  var str = '\n    <div>\n      yo\n    </div>\n  ';

  var expected = ['<div>', '  yo', '</div>'].join('\n');

  it(str + ' should become ' + expected, function () {
    (0, _expect2.default)((0, _alignText2.default)(str)).toBe(expected);
  });
});