'use strict';

var _caseConversion = require('./case-conversion.js');

var _caseConversion2 = _interopRequireDefault(_caseConversion);

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('caseConversion', function () {
  describe('camel to constant', function () {
    it('fooBar should return FOO_BAR', function () {
      var testCase = (0, _caseConversion2.default)('fooBar', 'camel', 'constant');
      var answer = 'FOO_BAR';
      (0, _expect2.default)(testCase).toBe(answer);
    });

    it('foo should return FOO', function () {
      var testCase = (0, _caseConversion2.default)('foo', 'camel', 'constant');
      var answer = 'FOO';
      (0, _expect2.default)(testCase).toBe(answer);
    });
  });
});