'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _envOverride = require('./env-override');

var _envOverride2 = _interopRequireDefault(_envOverride);

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('envOverride', function () {
  it('process.env.FOO overrides variable FOO', (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee() {
    var testCase, expectedResult;
    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            testCase = {
              FOO: 'foo',
              BAR: 'bar'
            };
            expectedResult = {
              FOO: 'bar',
              BAR: 'bar'
            };


            process.env.FOO = 'bar';
            (0, _expect2.default)((0, _envOverride2.default)(testCase)).toEqual(expectedResult);

          case 4:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, undefined);
  })));
});