'use strict';

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _excludeField = require('./exclude-field.js');

var _excludeField2 = _interopRequireDefault(_excludeField);

var _expect = require('expect');

var _expect2 = _interopRequireDefault(_expect);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('excludeField', function () {
  var testcase = {
    foo: 'foo',
    bar: 'bar',
    zed: 'zed'
  };

  var expectedResult = {
    foo: 'foo',
    bar: 'bar'
  };

  var exclude = ['zed'];

  it((0, _stringify2.default)(testcase) + ' should be ' + (0, _stringify2.default)(expectedResult) + ' given exclude \'' + exclude + '\'', function () {
    (0, _expect2.default)((0, _excludeField2.default)(testcase, exclude)).toEqual(expectedResult);
  });
});