"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

exports.default = excludeFields;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function excludeFields(obj) {
  var fields = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var replaceWith = arguments[2];

  return (0, _keys2.default)(obj).reduce(function (map, key) {
    if (fields.indexOf(key) === -1) {
      map[key] = obj[key];
    } else if (replaceWith) {
      map[key] = replaceWith;
    }
    return map;
  }, {});
}