"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

exports.default = excludeField;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function excludeField(obj) {
  var fields = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

  return (0, _keys2.default)(obj).filter(function (key) {
    return fields.indexOf(key) === -1;
  }).reduce(function (map, key) {
    map[key] = obj[key];
    return map;
  }, {});
}